org.eclipse.jgit.lib

## Class RepositoryBuilder

- java.lang.Object
- - org.eclipse.jgit.lib.BaseRepositoryBuilder<RepositoryBuilder,Repository>
  - - org.eclipse.jgit.lib.RepositoryBuilder

    public class RepositoryBuilder
    extends BaseRepositoryBuilder<RepositoryBuilder,Repository>

Base class to support constructing a `Repository`.

Applications must set one of `BaseRepositoryBuilder.setGitDir(File)` or `BaseRepositoryBuilder.setWorkTree(File)`, or use `BaseRepositoryBuilder.readEnvironment()` or `BaseRepositoryBuilder.findGitDir()` in order to configure the minimum property set necessary to open a repository.

Single repository applications trying to be compatible with other Git implementations are encouraged to use a model such as:

     new RepositoryBuilder() //
                    .setGitDir(gitDirArgument) // --git-dir if supplied, no-op if null
                    .readEnviroment() // scan environment GIT_* variables
                    .findGitDir() // scan up the file system tree
                    .build()

See Also:
  `FileRepositoryBuilder`

### Constructor Summary

Constructors
Constructor and Description
`RepositoryBuilder()`

### Method Summary

### Methods inherited from class org.eclipse.jgit.lib.BaseRepositoryBuilder

`addAlternateObjectDirectories, addAlternateObjectDirectories, addAlternateObjectDirectory, addCeilingDirectories, addCeilingDirectories, addCeilingDirectory, build, findGitDir, findGitDir, getAlternateObjectDirectories, getConfig, getFS, getGitDir, getIndexFile, getObjectDirectory, getWorkTree, isBare, isMustExist, loadConfig, readEnvironment, readEnvironment, requireGitDirOrWorkTree, safeFS, self, setBare, setFS, setGitDir, setIndexFile, setMustExist, setObjectDirectory, setup, setupGitDir, setupInternals, setupWorkTree, setWorkTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepositoryBuilder

    public RepositoryBuilder()